Skip to main content
PATCH
/
objects
/
{object_name}
/
attributes
/
{attribute_name}
cURL
curl --request PATCH \
  --url https://api.unifygtm.com/data/v1/objects/{object_name}/attributes/{attribute_name} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "display_name": "<string>",
  "description": "<string>"
}
'
{
  "status": "success",
  "data": {
    "type": "ADDRESS",
    "api_name": "<string>",
    "display_name": "<string>",
    "description": "<string>",
    "is_required": true,
    "is_unique": true
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

object_name
string
required
attribute_name
string
required

Body

application/json

Definition of an attribute on a Unify object.

display_name
string
required

This is the user-facing attribute name that will be shown within Unify. It is unique within the object and can be changed at any time.

description
string | null
required

This is a description of the attribute. It is not required but will be shown in the UI to help understand the purpose of the object. Typically, this should be a short sentence or two explaining the attribute.

Response

Response for a successful update operation.

Response for a successful update operation.

status
enum<string>
required
Available options:
success
data
object
required

Definition of an attribute on a Unify object.